#---------------------------------------------------------------
# Project         : Mandrakelinux
# Module          : dynamic
# File            : dynamic.spec
# Version         : $Id: dynamic.spec,v 1.56 2004/09/13 13:51:50 flepied Exp $
# Author          : Frederic Lepied
# Created On      : Wed Aug  8 11:32:16 2001
# License         : GPL
# Purpose         : spec file to build an rpm
#---------------------------------------------------------------

%define name dynamic
%define version 0.21
%define release 1mdk

Summary: Handle dynamic creation of desktop entry for hotplug hardware
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Other
URL: http://www.mandrakelinux.com/
Requires: psmisc, mount, usbutils
# scannerdrake --dynamic
Conflicts: drakxtools <= 10.1-0.22mdk
Conflicts: kdemultimedia-kscd <= 1:3.2.3-10mdk
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Create desktop entries for GNOME and KDE when a new peripheral is
plugged in the system (mainly USB devices).

%prep
%setup -q

%post

if [ -f /dev/.devfsd ]; then
	killall -USR1 devfsd > /dev/null 2>&1 || :
fi

%postun

[ $1 != 0 ] && exit 0

if [ -f /dev/.devfsd ]; then
	killall -USR1 devfsd > /dev/null 2>&1 || :
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# these launchers are on other packages now
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/dynamic/launchers/{rio500,scanner,webcam,part,supermount}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS
%dir %{_sysconfdir}/dynamic
%dir %{_sysconfdir}/dynamic/scripts
%dir %{_sysconfdir}/dynamic/user-scripts
%dir %{_sysconfdir}/dynamic/hooks
%config(noreplace) %{_sysconfdir}/dynamic/scripts/*.script
%config(noreplace) %{_sysconfdir}/dynamic/user-scripts/*.script
%config(noreplace) %{_sysconfdir}/dynamic/hooks/*.hook
%config(noreplace) %_sysconfdir/devfs/conf.d/dynamic.conf
%config(noreplace) %_sysconfdir/dev.d/default/dynamic.dev
%_datadir/dynamic

# DON'T ADD SOURCE OR PATCH, USE CVS DIRECTLY

%changelog
* Mon Sep 13 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.21-1mdk
- wait while file system is read only in scripts called from udev
- use lsusb to find device name

* Fri Sep 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.20-1mdk
- fixed tvtuner detection in kernel 2.6 (bug #9263)
- use $devicename as a descriptive text and let $device be the name of
the special file for dynamic desktop entries.

* Tue Sep  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.19-1mdk
- part.script: mount even in non supermount mode as we put the 'users' option

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-1mdk
- Fix visor script to link /dev/pilot based on productID or VISOR_SWAP
  value in /etc/sysconfig/usb (Mdk bug #3381)

* Wed Aug 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.17-1mdk
- launch kscd with --device (bug #10747)

* Tue Aug 24 2004 Robert Vojta <robert.vojta@mandrakesoft.org> 0.16-2mdk
- added missing "" (#10899)

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.16-1mdk
- if there is no queue for a printer, run the automatic queue setup of
printerdrake (Till)

* Thu Aug 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.15-1mdk
- enable a disabled cups queue on an add event (Till)

* Thu Aug 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.14-1mdk
- udev support
- try to find a better device name via sysfs

* Thu Aug  5 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.13-1mdk
- video_dvd.script: corrected totem test
                    launch kaffeine
- lp.script: take the needed actions for cups and hpoj (Till)

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.8-1mdk
- Launch nautilus-cd-burner in browser mode 

* Tue Jun  1 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.7-1mdk
- fix webcam detection under 2.6 kernels (Sir Pingus) [anthill #865, bugzilla #9263]

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.6-1mdk
- Allow several DVD drive to be used with totem

* Mon Mar 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.5-1mdk
- scanner.script: only call scannerdrake on add event

* Fri Mar 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.4-1mdk
- video_dvd.script: use dvd: as totem argument

* Tue Mar  2 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.3-1mdk
- use pidof in GNOME test

* Sat Feb 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.2-1mdk
- corrected GNOME detection in user-scripts (bug #8175)
- launch k3b only once

* Thu Feb 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-1mdk
- use the right parameter to launch totem in video_dvd.script

* Tue Feb 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12-1mdk
- allow to override the default applications launched by magicdev
in ~/.dynamic and /etc/dynamic/user-scripts/config by setting the
audio_cd_launcher, blank_cd_launcher and video_dvd_launcher shell
variables.

* Tue Feb  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.11.1-1mdk
- rebuild to fix audio_cd.script (launch kscd without argument)
- rawdevice.script fix (Andrey Borzenkov)

* Fri Jan 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- add user-scripts to be launched by magicdev

* Tue Jul  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- create desktop files with the _dynamic.desktop suffix

* Thu Mar  6 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- let kde handle dynamic icons for removable devices by itself

* Wed Feb 19 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-1mdk
- change device to group usb in scanner script

* Mon Feb 17 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- prevent dynamic scripts from starting while / is mounted ro (bug #1563)

* Fri Aug 30 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- activate part with drakupdate_fstab

* Mon Aug 19 2002 Pixel <pixel@mandrakesoft.com> 0.6-4mdk
- drop require kudzu (since that's harddrake which provides it and it doesn't provide updfstab)

* Mon Aug 19 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-3mdk
- create files in 644 mode
- removed source1 and put it directly in tar ball

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- Source1 : add devfs support

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- added support for camera
- added $basename support in templates (basename of the device name).

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-4mdk
- Fix menu entries for rio500 support
- gnome.hook: dynamic entries are now in /var/lib/gnome/desktop

* Sat Jul 20 2002 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- rawdevice.script: created, useful to bind a dynamic device to a rawdevice

* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.5-2mdk
- lp.script: change permission/owner/group of /dev/ptal-printd/* (Till).

* Mon Nov 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- scanner.script: call scannerdrake

* Mon Oct 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-8mdk
- lp.script: change permission/owner/group of /dev/oki4drv (Till).

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-7mdk
- lp.script: fix permissions of printer devices according to what is installed.

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-6mdk
- use DYNAMIC=no in /etc/sysconfig/system to disable completely
- check that / is rw in all scripts

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-5mdk
- added a way to deactivate dynamic support by adding a DYNAMIC_$name=no
in /etc/sysconfig/system.
- fixed check of / ro to avoid catching errors=continue (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-4mdk
- part.script: more robust by checking if / is rw and testing before
unmounting (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-3mdk
- run part.script only when whe are not anymore in rc.sysinit.

* Sat Sep 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- add part launcher for kde.
- visor script make the symlink to /dev/pilot

* Thu Sep 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- added part.script

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-3mdk
- lanchers are provided by packages themselves.

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-2mdk
- Add support for gnome

* Tue Aug 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- removed unneeded messages when a desktop isn't installed.
- call pam_console_apply before running the desktop hooks.

* Sat Aug 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added kde hook for webcam (lmontel)

* Thu Aug  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# dynamic.spec ends here
